aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-08-16 23:21:47 +0000
committerMike Frysinger <vapier@gentoo.org>2005-08-16 23:21:47 +0000
commit2ec7eb590b94f09108aa268756ec6605a9ba332f (patch)
treee4f0d5b23b801449c1b8634a416cc472810ae5ff
parentcause standard enumerate sucks and you can't do offset slices (diff)
downloadportage-cvs-2ec7eb590b94f09108aa268756ec6605a9ba332f.tar.gz
portage-cvs-2ec7eb590b94f09108aa268756ec6605a9ba332f.tar.bz2
portage-cvs-2ec7eb590b94f09108aa268756ec6605a9ba332f.zip
Dont strip stuff if `file` failed #102499
-rw-r--r--ChangeLog5
-rwxr-xr-xbin/prepstrip6
2 files changed, 8 insertions, 3 deletions
diff --git a/ChangeLog b/ChangeLog
index 3f29dd5..9c2ff3c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,6 +1,6 @@
# ChangeLog for Portage; the Gentoo Linux ports system
# Copyright 1999-2005 Gentoo Foundation; Distributed under the GPL v2
-# $Id: ChangeLog,v 1.1002 2005/08/14 16:49:41 genone Exp $
+# $Id: ChangeLog,v 1.1003 2005/08/16 23:21:47 vapier Exp $
MAJOR CHANGES in 2.0.51:
1. /var/cache/edb/virtuals is no longer used at all. It's calculated now.
@@ -10,6 +10,9 @@
15 Aug 2005; Marius Mauch <genone@gentoo.org> pym/portage.py:
Fix logic error with sandbox.
+ 14 Aug 2005; Mike Frysinger <vapier@gentoo.org> bin/prepstrip:
+ Don't try to strip if `file` failed #102499 by Daniel Drake.
+
13 Aug 2005; Brian Harring <ferringb@gentoo.org> bin/ebuild-default-functions.sh,
bin/ebuild-functions.sh: merging spankys original changes (which I stupidly stomped)
forward.
diff --git a/bin/prepstrip b/bin/prepstrip
index c9c281d..a26082b 100755
--- a/bin/prepstrip
+++ b/bin/prepstrip
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /local/data/ulm/cvs/history/var/cvsroot/gentoo-src/portage/bin/prepstrip,v 1.28 2005/05/29 05:43:49 vapier Exp $
+# $Header: /local/data/ulm/cvs/history/var/cvsroot/gentoo-src/portage/bin/prepstrip,v 1.29 2005/08/16 23:21:47 vapier Exp $
if [ "${FEATURES//*nostrip*/true}" == "true" ] || [ "${RESTRICT//*nostrip*/true}" == "true" ] ; then
echo "nostrip"
@@ -27,7 +27,9 @@ for x in "$@" ; do
banner=0
fi
- f=$(file "${x}")
+ f=$(file "${x}") || continue
+ [ -z "${f}" ] && continue
+
if [ -z "${f/*current ar archive*/}" ]; then
echo " ${x:${#D}:${#x}}"
${STRIP} -g "${x}"